// Currency drop down
// Сделайте выпадающий список с названиями всех валют, используя код из прошлого задания и накопление HTML-тэгов
// в строковой переменной. Для выпадающих списков в HTML предусмотрены тэги <select> и <option>
currency_drop_down: {
  fetch('https://open.er-api.com/v6/latest/USD').then(res => res.json())
    .then(data => {
      let str = "<select>";
      for (let currency of Object.keys(data.rates)) {
        str += `<option value='${currency}'>${currency}</option>`;
      }
      str += "</select>";
      document.write(str);
    })
}

// Currency table
// Сделайте двумерную таблицу с курсами между всеми возможными парами валют по типу таблицы Пифагора, используя
// заготовку из задания Currency real rate:
// Используйте только один запрос на сервер. Используйте расчет кросскурса для вычисления курса между любой
// парой валют
currency_table: {
  fetch('https://open.er-api.com/v6/latest/USD').then(res => res.json())
    .then(data => {
      let str = "<table>";
      str += "<tr><th></th>";
      for (let currency of Object.keys(data.rates)) {
        str += `<th>${currency}</th>`;
      }
      str += "</tr>";
      for (let rowCurrency of Object.keys(data.rates)) {
        str += `<tr><td>${rowCurrency}</td>`;
        for (let columnCurrency of Object.keys(data.rates)) {
          str += `<td>${+(data.rates[rowCurrency] / data.rates[columnCurrency]).toFixed(2)}</td>`;
        }
        str += "</tr>";
      }
      str += "</table>";
      document.write(str);
    })
}